Skip to main content
`Ctrl`+`K`

# PetscDrawLGSetLegend

sets the names of each curve plotted

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGSetLegend(PetscDrawLG lg, const char *const names[])

Logically Collective

## Input Parameters

- lg - the line graph context.

- names - the names for each curve

## Note

Call `PetscDrawLGGetAxis()` and then change properties of the `PetscDrawAxis` for detailed control of the plot

## See Also

`PetscDrawLGGetAxis()`, `PetscDrawAxis`, `PetscDrawAxisSetColors()`, `PetscDrawAxisSetLabels()`, `PetscDrawAxisSetHoldLimits()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lgc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages